### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-social-media-follow/ecl-social-media-follow-item.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-social-media-follow-item`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-social-media-follow-item.component.html`

### Index

###### Methods
onItemClick getCssClasses
###### Inputs
href icon size target class e2eAttr
###### Outputs
itemClick
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

href
Type : `string`
Default value : `''`

icon
Type : `string`

size
Type : `string`
Default value : `'xl'`

target
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

itemClick
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### Methods

onItemClick
`onItemClick(evt)`
Parameters :
Name | Optional
evt | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""